| Name | Description |
|---|---|
| access_token | JSON Web Token retrieved from the Sessions endpoint (you can also passthis into the Authorization header) |
| q | search string, the system will try to search by first and last name, or email address if you include a '@' |
| limit | max number of people to return. Defaults to 10. |
| organization_ids | (optional) only look in these organizations |
| fields | hash of fields you want for model types. the person type will default to these fields: first_name,last_name,gender,primary_email_address. But you could request picture if you want to receive that as well. |
Version: HTTP/1.0 Accept: application/json Content-Type: application/json Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMzgsImV4cCI6MTc5NDU0MDIyMywiaWF0IjoxNzk0NTQwMDQzfQ.XRWklhihICmEcEuoLX0EZv8Uforwovx596o2uA8koxU Host: example.org Cookie:
GET /apis/v4/search?filters[unassigned]=true
filters={"unassigned"=>"true"}
X-Frame-Options: SAMEORIGIN X-XSS-Protection: 1; mode=block X-Content-Type-Options: nosniff X-Download-Options: noopen X-Permitted-Cross-Domain-Policies: none Referrer-Policy: strict-origin-when-cross-origin Content-Type: application/vnd.api+json Vary: Accept X-MH-Session: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMzgsImV4cCI6MTc5NDcxMjg0MywiaWF0IjoxNzk0NTQwMDQzfQ.bt8dztAtiCKGF3o3GfebfCNnzkrGBGH1pHIkhrVC9HI Access-Control-Expose-Headers: X-MH-Session ETag: W/"a0d2fbdca37fb1823e82ff7c8c359ced" Cache-Control: max-age=0, private, must-revalidate X-Request-Id: af137bf4-170d-453c-82c4-c724bf7553b3 X-Runtime: 0.124155 Content-Length: 2794
200
Version: HTTP/1.0 Accept: application/json Content-Type: application/json Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMzgsImV4cCI6MTc5NDU0MDIyMywiaWF0IjoxNzk0NTQwMDQzfQ.XRWklhihICmEcEuoLX0EZv8Uforwovx596o2uA8koxU Host: example.org Cookie:
GET /apis/v4/search?filters[unassigned]=false&organization_ids=124
filters={"unassigned"=>"false"}
organization_ids=124
X-Frame-Options: SAMEORIGIN X-XSS-Protection: 1; mode=block X-Content-Type-Options: nosniff X-Download-Options: noopen X-Permitted-Cross-Domain-Policies: none Referrer-Policy: strict-origin-when-cross-origin Content-Type: application/vnd.api+json Vary: Accept X-MH-Session: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMzgsImV4cCI6MTc5NDcxMjg0MywiaWF0IjoxNzk0NTQwMDQzfQ.bt8dztAtiCKGF3o3GfebfCNnzkrGBGH1pHIkhrVC9HI Access-Control-Expose-Headers: X-MH-Session ETag: W/"985201531652f4f7fc0cd3d5a4d23991" Cache-Control: max-age=0, private, must-revalidate X-Request-Id: ed4c4948-c143-4da9-9da1-83794740f5b5 X-Runtime: 0.068491 Content-Length: 936
200